Subject: Re: ADSL/ATM linklayer tc shaping regression fix commits for stable

From: Jesper Dangaard Brouer <[email-masked]>
Date: Thu, 22 Aug 2013 10:04:26 +0200

On Wed, 21 Aug 2013 11:20:23 -0700 (PDT)
David Miller <[email-masked]> wrote:

> From: Jesper Dangaard Brouer <[email-masked]>
> Date: Wed, 21 Aug 2013 14:03:50 +0200
> 
> > 
> > On Tue, 20 Aug 2013 08:16:50 -0700
> > Greg Kroah-Hartman <[email-masked]> wrote:
> >> On Tue, Aug 20, 2013 at 01:26:29PM +0200, Jesper Dangaard Brouer wrote:
> > [...]
> >  
> >> If there are issues with 3.10, that's a different story.
> >> 
> >> > Refactor improvements (v3.11-rc1):
> >> >  commit 130d3d68b52 (net_sched: psched_ratecfg_precompute() improvements)
> > 
> > Needed because it fixes the accuracy of the rate calc.
> > 
> >> > The linklayer ATM/ADSL fix, reached 3.11-rc6:
> >> >  commit 8a8e3d84b17 (net_sched: restore "linklayer atm" handling)
> > 
> > Needed because we broke userspace interface.
> > 
> >> David sends me the networking patches for the stable tree, and if he
> >> thinks these are applicable, then I'll take them.
> > 
> > DaveM, please?  What do you want me to do, submit this req/patches somehow?
> > 
> > (Can see that is not currently on your stable queue via:
> > http://patchwork.ozlabs.org/bundle/davem/stable/?state=*)
> 
> I'll put it there, you just have to formally ask me to do it that's
> all.

Thanks, I assume that this was formally enough and you are taking the patches.

So, for future reference:

Stable patches for the networking tree, I should:
1) check http://patchwork.ozlabs.org/bundle/davem/stable/?state=*
   to see if my patch is already on your stable queue
2) if not, ask you and cc [email-masked]
3) you will handle the interaction with Greg and [email-masked]

Correct?

> Asking Greg to do it directly is a complete waste of time. :-)

I'll remember that.  I was just following Documentation/stable_kernel_rules.txt,
I guess I should have known better as all my previous stable patches
have automagically been picked up and processed by you :-)

-- 
Best regards,
  Jesper Dangaard Brouer
  MSc.CS, Sr. Network Kernel Developer at Red Hat
  Author of http://www.iptv-analyzer.org
  LinkedIn: http://www.linkedin.com/in/brouer